type StaffCourse @table(name: "staff_courses") {
  id: UUID! @default(expr: "uuidV4()")

  staffId: UUID!
  courseId: UUID!

  progressPercent: Int @default(expr: "0")
  completed: Boolean @default(expr: "false")
  completedAt: Timestamp
  startedAt: Timestamp
  lastAccessedAt: Timestamp

  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
}
